<p-toast></p-toast>
<div class="ui-g">
    <div class="ui-g-7 ui-g-nopad">
        <div class="ui-g">
            <div class="ui-g-12">
              <div class="ui-g">
                <div class="map main" id="map"></div>
              </div>
              <div class="ui-g" id="info">
                <svg class="main legend" width="700" height="50" ></svg>
              </div>
            </div>
            <div class="ui-g-12">
              <p-fieldset legend="Options" [toggleable]="true" [collapsed]="true">
                <p-toggleButton [(ngModel)]="selectedTrend" [style]="{'width':'120px'}" onLabel="Trend" offLabel="Trend" (onChange)="displayTrend()" ></p-toggleButton>&nbsp;&nbsp;
                <b>Resolution: </b>
                <p-toggleButton [(ngModel)]="resolution" [style]="{'width':'120px'}" onLabel="Hi-Res only" offLabel="Dynamic" (onChange)="ChangeResolution()" [disabled]="disabled"></p-toggleButton>&nbsp;&nbsp;
                <b>Mode: </b>
                <p-toggleButton [(ngModel)]="mode" [style]="{'width':'150px'}" onLabel="Map-Trend Map" offLabel="Map-Chart" (onChange)="ChangeMode()" ></p-toggleButton>&nbsp;&nbsp;
              </p-fieldset>
            </div>
        </div>
    </div>
    <div class="ui-g-5">
      <div class="ui-g" id="chart"><app-chart></app-chart></div>
      <div class="ui-g" id="theilsen">
        <div class="ui-g">
          <div class="map trend" id="trend_map"></div>
        </div>
        <div class="ui-g" id="info">
          <svg class="trend legend" width="480" height="50"></svg>
        </div>
      </div>
      <div class="ui-g">
        <h4>
          <span id="dataset">&nbsp;</span>&nbsp;&nbsp;&nbsp;
          <span id="index">&nbsp;</span>&nbsp;&nbsp;&nbsp;
          <span id="short_definition">&nbsp;</span>
          <span id="more_info">&nbsp;</span>
          <span *ngIf="info_btn" id="info_btn"><button pButton type='button' class='ui-button-rounded ui-button-secondary' icon='pi pi-info-circle' (click)='showDialog()'></button></span>
          <br>
          <span id="period">&nbsp;</span>&nbsp;&nbsp;&nbsp;
          <span id="country">&nbsp;</span>
          <br><br>
          <span id="stat_avg">&nbsp;</span>&nbsp;&nbsp;&nbsp;
          <span id="stat_min">&nbsp;</span>&nbsp;&nbsp;&nbsp;
          <span id="stat_max">&nbsp;</span>&nbsp;&nbsp;&nbsp;
          <span id="stat_variance">&nbsp;</span>
        </h4>
      </div>
    </div>
</div>

<p-dialog header="Info" [(visible)]="info" [modal]="true" [dismissableMask]="true">
  <p><b>Dataset: </b> {{ details?.dataset }}</p>
  <p><b>Index: </b> {{ details?.index }}</p>
  <p><b>Short Definition: </b> {{ details?.short_definition }}</p>
  <p><b>Definition: </b> {{ details?.definition }}</p>
  <p><b>Unit: </b> {{ details?.unit }}</p>
  <p><b>type: </b> {{ details?.type }}</p>
  <p><b>Measurement: </b> {{ details?.measurement }}</p>
</p-dialog>